Ext.require([
    'Ext.grid.*',
    'Ext.data.*'
]);

Ext.onReady(function() {

    Ext.create('Ext.grid.Panel', {
        store: Ext.create('Ext.data.ArrayStore', {           // 1 : cl store (fields + data)
            fields: [
                {name: 'book'},
                {name: 'author'}
            ],
            data: [['Mastering Java','James Gosling']]
        }),
        columns: [ {										// 2 : cl columns 
            text     : 'Book',		// En tte colonne
            flex     : 1,           // taille de cette colonne relative (= taille grid - taille fixe du champ Author)
            sortable : false,		// pas de tri possible pour cette colonne
            dataIndex: 'book'       // faire coincider dataIndex avec noms des 'fields' du store
        },{
            text     : 'Author',
            width    : 100,			// taille fixe	
            sortable : true,
            dataIndex: 'author'
        }],
        width: 300,
        title: 'Simple Grid',
        renderTo: 'grid-example'     // placer la grille dans zone precise du HTML 
    });
});